org.eclipse.wst.jsdt.chromium.debug.ui

## Class TableUtils.ColumnData<R,C>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.TableUtils.ColumnData<R,C>

Type Parameters:
  `R` - type of row element
  `C` - type of this column element

Enclosing class:
  TableUtils

    public static class TableUtils.ColumnData<R,C>
    extends java.lang.Object

A small structure that holds column-related data: column label provider and adapter that gets column-specific field from row element.

### Constructor Summary

Constructors
Constructor and Description
`ColumnData(TableUtils.ValueAdapter<R,C> columnValueConverter, TableUtils.ColumnLabelProvider<C> labelProvider)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <R,C> TableUtils.ColumnData<R,C>` `create(TableUtils.ValueAdapter<R,C> columnValueConverter, TableUtils.ColumnLabelProvider<C> labelProvider)`
`TableUtils.ValueAdapter<R,C>` `getColumnValueConverter()`
`TableUtils.ColumnLabelProvider<C>` `getLabelProvider()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnData

    public ColumnData(TableUtils.ValueAdapter<R,C> columnValueConverter,
                      TableUtils.ColumnLabelProvider<C> labelProvider)

### Method Detail

#### create

    public static <R,C> TableUtils.ColumnData<R,C> create(TableUtils.ValueAdapter<R,C> columnValueConverter,
                                                          TableUtils.ColumnLabelProvider<C> labelProvider)

#### getColumnValueConverter

    public TableUtils.ValueAdapter<R,C> getColumnValueConverter()

#### getLabelProvider

    public TableUtils.ColumnLabelProvider<C> getLabelProvider()